//
//  ScrunchyView.h
//  seamus
//
//  Created by Wim Lewis on 23Aug07.
//  Copyright 2007 Wim Lewis. All rights reserved.
//

#import <AppKit/AppKit.h>

@class Seamer;

@interface ScrunchyView : NSView
{
    NSBitmapImageRep *sourceImage;
    Seamer *seamer;
    
    int reduction;

    unsigned char *scrunchBuffer;
    NSBitmapImageRep *scrunchedImageRep;
    NSImage *scrunchedImage;
    
    IBOutlet NSView *saveAccessory;
    IBOutlet NSPopUpButton *saveTypePopup;
    BOOL setupPopup;
    NSSavePanel *savePanel;  // only non-nil during modal loop
}

- (void)clearBuffers;
- (void)setImage:(NSImage *)source;
- (void)setSeamer:(Seamer *)sr;
- (void)setReduction:(int)reduce;
- (void)reduce;

- (IBAction)saveTo:sender;
- (IBAction)filetypeChanged:sender;

@end
