//
//  SeamController.h
//  seamus
//
//  Created by Wim Lewis on 22Aug07.
//  Copyright 2007 Wim Lewis. All rights reserved.
//

#import <AppKit/AppKit.h>

@class Seamer, SeamyView, ScrunchyView;

@interface SeamController : NSObject
{
    IBOutlet NSImageView *inputWell;
    IBOutlet NSImageView *energyWell;
    IBOutlet NSTextField *statusField;
    IBOutlet NSTextField *energyFunctionField;
    IBOutlet SeamyView *resultView;
    IBOutlet ScrunchyView *scruncher;
    
    Seamer *seamer;
}

- (IBAction)dropImage:sender;
- (void)setEnergyFuncImage:(NSImage *)efunc;
- (IBAction)changeFunction:sender;
- (IBAction)doMoreSeams:sender;
- (void)anotherSeam;

- (IBAction)showReadme:sender;

@end
